Bug 820096 - can't display chinese sometine
can't display chinese sometine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
1.5.5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 03:14 EDT by 365039311
Modified: 2012-07-14 17:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 16:53:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 365039311 2012-05-09 03:14:53 EDT
Description of problem:


Version-Release number of selected component (if applicable):wine-1.5.2


How reproducible:
when i install adobe flash in wine in chinese it display in 口口

Steps to Reproduce:
1.download flash in winetricks
2.install
3.
  
Actual results:it can't display chinese


Expected results:


Additional info:when i edit /usr/share/wine/wine.inf
and add 
HKCU,Software\Wine\Fonts\Replacements,"SimSun",,"WenQuanYi Micro Hei"
HKCU,Software\Wine\Fonts\Replacements,"PMingLiU",,"WenQuanYi Micro Hei"
to [Fonts]
and install wqy-microhei-fonts.noarch it can display chinese.
Comment 1 Fedora Update System 2012-07-05 11:57:23 EDT
wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17
Comment 2 Fedora Update System 2012-07-05 11:59:44 EDT
wine-1.5.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wine-1.5.8-1.fc16
Comment 3 Fedora Update System 2012-07-06 17:29:06 EDT
Package wine-mono-0.0.4-7.fc17, wine-1.5.8-1.fc17, mingw-wine-gecko-1.6-1.fc17, mingw-crt-2.0.999-0.6.trunk.20120601.fc17, mingw-headers-2.0.999-0.6.trunk.20120601.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-mono-0.0.4-7.fc17 wine-1.5.8-1.fc17 mingw-wine-gecko-1.6-1.fc17 mingw-crt-2.0.999-0.6.trunk.20120601.fc17 mingw-headers-2.0.999-0.6.trunk.20120601.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10358/mingw-wine-gecko-1.6-1.fc17,mingw-crt-2.0.999-0.6.trunk.20120601.fc17,mingw-headers-2.0.999-0.6.trunk.20120601.fc17,wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-10 16:53:17 EDT
wine-mono-0.0.4-7.fc17, wine-1.5.8-1.fc17, mingw-wine-gecko-1.6-1.fc17, mingw-crt-2.0.999-0.6.trunk.20120601.fc17, mingw-headers-2.0.999-0.6.trunk.20120601.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-14 17:58:46 EDT
wine-1.5.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.